%define anolis_release 2

Name:           python-jupyter-server-terminals
Version:        0.4.2
Release:        %{anolis_release}%{?dist}
Summary:        A Jupyter Server Extension Providing Terminals
License:        BSD-3-Clause
URL:            https://jupyter.org
Source:         %{pypi_source jupyter_server_terminals}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
Jupyter Server Terminals is a Jupyter Server Extension
providing support for terminals.}


%description %_description

%package -n     python3-jupyter-server-terminals
Summary:        %{summary}

Requires:  python-jupyter-filesystem

%description -n python3-jupyter-server-terminals %_description


%prep
%autosetup -p1 -n jupyter_server_terminals-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_server_terminals

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter_server_terminals.json

echo "%%{python3_sitelib}/jupyter_server_terminals-%{version}.dist-info/licenses/LICENSE" >> %{pyproject_files}

%files -n python3-jupyter-server-terminals -f %{pyproject_files}
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter_server_terminals.json


%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.4.2-2
- Rebuild with python3.11

* Sun May 14 2023 Funda Wang <fundawang@yeah.net> - 0.4.2-1
- Import package for anolis 23
